import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { getAllPublicOverlaysByProjectId } from './overlays.thunks';
import { OverlaysState } from './overlays.types';

export const getAllPublicOverlaysByProjectIdReducer = (
  builder: ActionReducerMapBuilder<OverlaysState>,
): void => {
  builder.addCase(getAllPublicOverlaysByProjectId.fulfilled, (state, action) => {
    state.data = action.payload || [];
    state.loading = 'succeeded';
  });
};
